package com.ruoyi.common.event;

/**
 * 播放方案禁用事件
 *
 * @author ruoyi
 */
public class PlayPlanDisabledEvent extends ScreenEvent {

    /** 被禁用的方案ID */
    private final Long planId;

    /**
     * 构造函数
     *
     * @param source 事件源
     * @param planId 被禁用的方案ID
     */
    public PlayPlanDisabledEvent(Object source, Long planId) {
        super(source);
        this.planId = planId;
    }

    public Long getPlanId() {
        return planId;
    }
}
